Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.xml.actions
Class SaveXmlTextAreaAction

    java.lang.Object
      javax.swing.AbstractAction
          com.eviware.soapui.support.xml.actions.SaveXmlTextAreaAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class SaveXmlTextAreaAction

extends javax.swing.AbstractAction

Saves the XML of a JXmlTextArea to a file

Author:
  Ole.Matzura
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SaveXmlTextAreaAction(JXEditTextArea textArea, java.lang.String dialogTitle)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveXmlTextAreaAction

    public SaveXmlTextAreaAction(JXEditTextArea textArea,
                                 java.lang.String dialogTitle)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.